# perceptic_core_client
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

The `perceptic_core_client` package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 0.0.1-SNAPSHOT
- Package version: 1.0.0
- Generator version: 7.13.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 3.9+

## Installation & Usage

This python library package is generated without supporting files like setup.py or requirements files

To be able to use it, you will need these dependencies in your own package that uses this library:

* urllib3 >= 2.1.0, < 3.0.0
* python-dateutil >= 2.8.2
* pydantic >= 2
* typing-extensions >= 4.7.1

## Getting Started

In your own code, to use this library to connect and interact with perceptic_core_client,
you can run the following:

```python

import perceptic_core_client
from perceptic_core_client.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to http://localhost
# See configuration.py for a list of all supported configuration parameters.
configuration = perceptic_core_client.Configuration(
    host = "http://localhost"
)



# Enter a context with an instance of the API client
with perceptic_core_client.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = perceptic_core_client.ConnectionResourceApi(api_client)
    connection_rid = 'connection_rid_example' # str | 

    try:
        # Get Connection
        api_response = api_instance.api_v1_connections_connection_rid_get(connection_rid)
        print("The response of ConnectionResourceApi->api_v1_connections_connection_rid_get:\n")
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling ConnectionResourceApi->api_v1_connections_connection_rid_get: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*ConnectionResourceApi* | [**api_v1_connections_connection_rid_get**](perceptic_core_client/docs/ConnectionResourceApi.md#api_v1_connections_connection_rid_get) | **GET** /api/v1/connections/{connectionRid} | Get Connection
*ConnectionResourceApi* | [**api_v1_connections_post**](perceptic_core_client/docs/ConnectionResourceApi.md#api_v1_connections_post) | **POST** /api/v1/connections | Create Connection
*FileSystemContentsResourceApi* | [**api_v1_file_systems_file_system_rid_contents_download_get**](perceptic_core_client/docs/FileSystemContentsResourceApi.md#api_v1_file_systems_file_system_rid_contents_download_get) | **GET** /api/v1/file-systems/{fileSystemRid}/contents/download | Download
*FileSystemContentsResourceApi* | [**api_v1_file_systems_file_system_rid_contents_files_get**](perceptic_core_client/docs/FileSystemContentsResourceApi.md#api_v1_file_systems_file_system_rid_contents_files_get) | **GET** /api/v1/file-systems/{fileSystemRid}/contents/files | List Files Flattened
*FileSystemContentsResourceApi* | [**api_v1_file_systems_file_system_rid_contents_folders_post**](perceptic_core_client/docs/FileSystemContentsResourceApi.md#api_v1_file_systems_file_system_rid_contents_folders_post) | **POST** /api/v1/file-systems/{fileSystemRid}/contents/folders | Create Folder
*FileSystemContentsResourceApi* | [**api_v1_file_systems_file_system_rid_contents_list_get**](perceptic_core_client/docs/FileSystemContentsResourceApi.md#api_v1_file_systems_file_system_rid_contents_list_get) | **GET** /api/v1/file-systems/{fileSystemRid}/contents/list | List
*FileSystemContentsResourceApi* | [**api_v1_file_systems_file_system_rid_contents_metadata_get**](perceptic_core_client/docs/FileSystemContentsResourceApi.md#api_v1_file_systems_file_system_rid_contents_metadata_get) | **GET** /api/v1/file-systems/{fileSystemRid}/contents/metadata | Get Metadata
*FileSystemContentsResourceApi* | [**api_v1_file_systems_file_system_rid_contents_parent_get**](perceptic_core_client/docs/FileSystemContentsResourceApi.md#api_v1_file_systems_file_system_rid_contents_parent_get) | **GET** /api/v1/file-systems/{fileSystemRid}/contents/parent | Get Parent
*FileSystemContentsResourceApi* | [**api_v1_file_systems_file_system_rid_contents_signed_url_get**](perceptic_core_client/docs/FileSystemContentsResourceApi.md#api_v1_file_systems_file_system_rid_contents_signed_url_get) | **GET** /api/v1/file-systems/{fileSystemRid}/contents/signed-url | Signed Url
*FileSystemContentsResourceApi* | [**api_v1_file_systems_file_system_rid_contents_upload_post**](perceptic_core_client/docs/FileSystemContentsResourceApi.md#api_v1_file_systems_file_system_rid_contents_upload_post) | **POST** /api/v1/file-systems/{fileSystemRid}/contents/upload | Upload File
*FileSystemResourceApi* | [**api_v1_file_systems_file_system_rid_get**](perceptic_core_client/docs/FileSystemResourceApi.md#api_v1_file_systems_file_system_rid_get) | **GET** /api/v1/file-systems/{fileSystemRid} | Get File System
*FileSystemResourceApi* | [**api_v1_file_systems_get**](perceptic_core_client/docs/FileSystemResourceApi.md#api_v1_file_systems_get) | **GET** /api/v1/file-systems | List All File Systems
*FileSystemResourceApi* | [**api_v1_file_systems_managed_post**](perceptic_core_client/docs/FileSystemResourceApi.md#api_v1_file_systems_managed_post) | **POST** /api/v1/file-systems/managed | Create Managed File System
*FileSystemResourceApi* | [**api_v1_file_systems_remote_post**](perceptic_core_client/docs/FileSystemResourceApi.md#api_v1_file_systems_remote_post) | **POST** /api/v1/file-systems/remote | Create Remote File System
*IndexerResourceApi* | [**api_v1_indexing_indexers_get**](perceptic_core_client/docs/IndexerResourceApi.md#api_v1_indexing_indexers_get) | **GET** /api/v1/indexing/indexers | List Indexers
*IndexerResourceApi* | [**api_v1_indexing_indexers_indexer_rid_get**](perceptic_core_client/docs/IndexerResourceApi.md#api_v1_indexing_indexers_indexer_rid_get) | **GET** /api/v1/indexing/indexers/{indexerRid} | Get Indexer
*IndexingTaskResourceApi* | [**api_v1_indexing_tasks_post**](perceptic_core_client/docs/IndexingTaskResourceApi.md#api_v1_indexing_tasks_post) | **POST** /api/v1/indexing/tasks | Create Indexing Task
*IndexingTaskResourceApi* | [**api_v1_indexing_tasks_task_rid_actions_get**](perceptic_core_client/docs/IndexingTaskResourceApi.md#api_v1_indexing_tasks_task_rid_actions_get) | **GET** /api/v1/indexing/tasks/{taskRid}/actions | List Indexing Actions
*IndexingTaskResourceApi* | [**api_v1_indexing_tasks_task_rid_execute_post**](perceptic_core_client/docs/IndexingTaskResourceApi.md#api_v1_indexing_tasks_task_rid_execute_post) | **POST** /api/v1/indexing/tasks/{taskRid}/execute | Start Execution
*IndexingTaskResourceApi* | [**api_v1_indexing_tasks_task_rid_get**](perceptic_core_client/docs/IndexingTaskResourceApi.md#api_v1_indexing_tasks_task_rid_get) | **GET** /api/v1/indexing/tasks/{taskRid} | Get Indexing Task
*UriResourceApi* | [**api_v1_resources_download_get**](perceptic_core_client/docs/UriResourceApi.md#api_v1_resources_download_get) | **GET** /api/v1/resources/download | Download Resource
*UriResourceApi* | [**api_v1_resources_files_get**](perceptic_core_client/docs/UriResourceApi.md#api_v1_resources_files_get) | **GET** /api/v1/resources/files | List Files
*UriResourceApi* | [**api_v1_resources_list_get**](perceptic_core_client/docs/UriResourceApi.md#api_v1_resources_list_get) | **GET** /api/v1/resources/list | List Resources
*UriResourceApi* | [**api_v1_resources_metadata_get**](perceptic_core_client/docs/UriResourceApi.md#api_v1_resources_metadata_get) | **GET** /api/v1/resources/metadata | Get Metadata
*UriResourceApi* | [**api_v1_resources_parent_get**](perceptic_core_client/docs/UriResourceApi.md#api_v1_resources_parent_get) | **GET** /api/v1/resources/parent | Get Parent
*UriResourceApi* | [**api_v1_resources_signed_url_get**](perceptic_core_client/docs/UriResourceApi.md#api_v1_resources_signed_url_get) | **GET** /api/v1/resources/signed-url | Get Signed Url
*UserResourceApi* | [**api_v1_users_me_get**](perceptic_core_client/docs/UserResourceApi.md#api_v1_users_me_get) | **GET** /api/v1/users/me | Me
*WorkerResourceApi* | [**api_v1_workers_get**](perceptic_core_client/docs/WorkerResourceApi.md#api_v1_workers_get) | **GET** /api/v1/workers | Get Workers
*WorkerResourceApi* | [**api_v1_workers_worker_id_get**](perceptic_core_client/docs/WorkerResourceApi.md#api_v1_workers_worker_id_get) | **GET** /api/v1/workers/{workerId} | Get Worker Metadata
*WorkerResourceApi* | [**api_v1_workers_worker_id_runs_post**](perceptic_core_client/docs/WorkerResourceApi.md#api_v1_workers_worker_id_runs_post) | **POST** /api/v1/workers/{workerId}/runs | Post Worker Run
*WorkerResourceApi* | [**api_v1_workers_worker_id_runs_run_rid_events_get**](perceptic_core_client/docs/WorkerResourceApi.md#api_v1_workers_worker_id_runs_run_rid_events_get) | **GET** /api/v1/workers/{workerId}/runs/{runRid}/events | Get Worker Run Events
*WorkerResourceApi* | [**api_v1_workers_worker_id_runs_run_rid_resume_post**](perceptic_core_client/docs/WorkerResourceApi.md#api_v1_workers_worker_id_runs_run_rid_resume_post) | **POST** /api/v1/workers/{workerId}/runs/{runRid}/resume | Post Resume Run
*WorkerResourceApi* | [**api_v1_workers_worker_id_runs_run_rid_status_get**](perceptic_core_client/docs/WorkerResourceApi.md#api_v1_workers_worker_id_runs_run_rid_status_get) | **GET** /api/v1/workers/{workerId}/runs/{runRid}/status | Get Worker Run Status


## Documentation For Models

 - [ActionType](perceptic_core_client/docs/ActionType.md)
 - [AzureBlobConnectionSettingsApiDto](perceptic_core_client/docs/AzureBlobConnectionSettingsApiDto.md)
 - [AzureBlobFileSystemRootMetadataApiDto](perceptic_core_client/docs/AzureBlobFileSystemRootMetadataApiDto.md)
 - [ConnectionApiDto](perceptic_core_client/docs/ConnectionApiDto.md)
 - [ConnectionSettingsApiDto](perceptic_core_client/docs/ConnectionSettingsApiDto.md)
 - [CreateConnectionRequest](perceptic_core_client/docs/CreateConnectionRequest.md)
 - [CreateConnectionResponse](perceptic_core_client/docs/CreateConnectionResponse.md)
 - [CreateFileSystemResponse](perceptic_core_client/docs/CreateFileSystemResponse.md)
 - [CreateFolderRequest](perceptic_core_client/docs/CreateFolderRequest.md)
 - [CreateFolderResponse](perceptic_core_client/docs/CreateFolderResponse.md)
 - [CreateIndexingTaskRequest](perceptic_core_client/docs/CreateIndexingTaskRequest.md)
 - [CreateIndexingTaskResponse](perceptic_core_client/docs/CreateIndexingTaskResponse.md)
 - [CreateManagedFileSystemRequest](perceptic_core_client/docs/CreateManagedFileSystemRequest.md)
 - [CreateRemoteFileSystemRequest](perceptic_core_client/docs/CreateRemoteFileSystemRequest.md)
 - [FileSystemApiDto](perceptic_core_client/docs/FileSystemApiDto.md)
 - [FileSystemRootMetadataApiDto](perceptic_core_client/docs/FileSystemRootMetadataApiDto.md)
 - [GetConnectionResponse](perceptic_core_client/docs/GetConnectionResponse.md)
 - [GetIndexerResponse](perceptic_core_client/docs/GetIndexerResponse.md)
 - [GetIndexingTaskResponse](perceptic_core_client/docs/GetIndexingTaskResponse.md)
 - [GetMetadataResponse](perceptic_core_client/docs/GetMetadataResponse.md)
 - [GetParentResponse](perceptic_core_client/docs/GetParentResponse.md)
 - [GetParentUriResponse](perceptic_core_client/docs/GetParentUriResponse.md)
 - [GetSignedUrlResponse](perceptic_core_client/docs/GetSignedUrlResponse.md)
 - [GetWorkerEventsResponse](perceptic_core_client/docs/GetWorkerEventsResponse.md)
 - [GetWorkerMetadataResponse](perceptic_core_client/docs/GetWorkerMetadataResponse.md)
 - [GetWorkerStatusResponse](perceptic_core_client/docs/GetWorkerStatusResponse.md)
 - [GetWorkersResponse](perceptic_core_client/docs/GetWorkersResponse.md)
 - [IndexerDto](perceptic_core_client/docs/IndexerDto.md)
 - [IndexingActionDto](perceptic_core_client/docs/IndexingActionDto.md)
 - [IndexingActionStatus](perceptic_core_client/docs/IndexingActionStatus.md)
 - [IndexingTaskDto](perceptic_core_client/docs/IndexingTaskDto.md)
 - [IndexingTaskStatus](perceptic_core_client/docs/IndexingTaskStatus.md)
 - [InfoEvent](perceptic_core_client/docs/InfoEvent.md)
 - [JsonNode](perceptic_core_client/docs/JsonNode.md)
 - [JsonNodeType](perceptic_core_client/docs/JsonNodeType.md)
 - [ListAllFileSystemsResponse](perceptic_core_client/docs/ListAllFileSystemsResponse.md)
 - [ListFileSystemResponse](perceptic_core_client/docs/ListFileSystemResponse.md)
 - [ListIndexersResponse](perceptic_core_client/docs/ListIndexersResponse.md)
 - [ListIndexingActionsResponse](perceptic_core_client/docs/ListIndexingActionsResponse.md)
 - [ManagedFileSystemApiDto](perceptic_core_client/docs/ManagedFileSystemApiDto.md)
 - [MeResponse](perceptic_core_client/docs/MeResponse.md)
 - [ModelSchema](perceptic_core_client/docs/ModelSchema.md)
 - [PagedListFileSystemResponse](perceptic_core_client/docs/PagedListFileSystemResponse.md)
 - [PostWorkerRunRequest](perceptic_core_client/docs/PostWorkerRunRequest.md)
 - [PostWorkerRunResponse](perceptic_core_client/docs/PostWorkerRunResponse.md)
 - [ProgressEvent](perceptic_core_client/docs/ProgressEvent.md)
 - [RemoteFileSystemApiDto](perceptic_core_client/docs/RemoteFileSystemApiDto.md)
 - [RequestForInputEvent](perceptic_core_client/docs/RequestForInputEvent.md)
 - [ResourceEntryDto](perceptic_core_client/docs/ResourceEntryDto.md)
 - [ResourceId](perceptic_core_client/docs/ResourceId.md)
 - [ResourceIdentifier](perceptic_core_client/docs/ResourceIdentifier.md)
 - [ResourceMetadataDto](perceptic_core_client/docs/ResourceMetadataDto.md)
 - [ResourceTypeDto](perceptic_core_client/docs/ResourceTypeDto.md)
 - [RunStatusDto](perceptic_core_client/docs/RunStatusDto.md)
 - [S3ConnectionSettingsApiDto](perceptic_core_client/docs/S3ConnectionSettingsApiDto.md)
 - [S3FileSystemRootMetadataApiDto](perceptic_core_client/docs/S3FileSystemRootMetadataApiDto.md)
 - [SchemaLocation](perceptic_core_client/docs/SchemaLocation.md)
 - [StartExecutionResponse](perceptic_core_client/docs/StartExecutionResponse.md)
 - [UploadFileToManagedFileSystemResponse](perceptic_core_client/docs/UploadFileToManagedFileSystemResponse.md)
 - [WorkerEvent](perceptic_core_client/docs/WorkerEvent.md)
 - [WorkerMetadataDto](perceptic_core_client/docs/WorkerMetadataDto.md)


<a id="documentation-for-authorization"></a>
## Documentation For Authorization


Authentication schemes defined for the API:
<a id="SecurityScheme"></a>
### SecurityScheme



## Author




